Bug 571397 (python-gudev) - Review Request: python-gudev
Summary: Review Request: python-gudev
Keywords:
Status: CLOSED NEXTRELEASE
Alias: python-gudev
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-Spacewalk
TreeView+ depends on / blocked
 
Reported: 2010-03-08 12:44 UTC by Miroslav Suchý
Modified: 2010-03-10 22:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-09 10:54:07 UTC
plautrba: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2010-03-08 12:44:03 UTC
Spec URL: http://miroslav.suchy.cz/fedora/python-gudev/python-gudev.spec
SRPM URL: http://miroslav.suchy.cz/fedora/python-gudev/python-gudev-147.1-1.el6.src.rpm

Description: 
python-gudev is a Python (PyGObject) binding to the GUDev UDEV library.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2038652

Note:
Sometimes rpmlint warns that:
  python-gudev.src: W: invalid-url Source0: http://download.github.com/nzjrs-python-gudev-5fac65a.tar.gz HTTP Error 404: Not Found
Github seems to behave strange, it seems that this url only works if you previously download from 
  http://github.com/nzjrs/python-gudev/tarball/147.1
but that is redirect to 
  http://download.github.com/nzjrs-python-gudev-5fac65a.tar.gz
which then returns propper OK 200.

Comment 2 Petr Lautrbach 2010-03-08 14:29:18 UTC
$ rpmlint python-gudev-147.1-2.fc14.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint  python-gudev-147.1-2.fc14.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

License - there is GPLv3+ in spec file but source code seems to be LGPLv3+

Why not use http://github.com/nzjrs/python-gudev/tarball/147.1 as source url if it works?
 
Directory /usr/lib64/python2.6/site-packages/ is already owned by python package which is part of Requires.

Everything else seems ok to me.

Comment 3 Miroslav Suchý 2010-03-08 15:48:31 UTC
I fixed that license, and directory ownership.

However I could not use 
 Source0: http://github.com/nzjrs/python-gudev/tarball/147.1
since rpmbuild then search for tgz with filenam "147.1"
I choose to use plain:
 Source0: %{srcname}.tar.gz with comment above as it is less confusing.

Spec URL: http://miroslav.suchy.cz/fedora/python-gudev/python-gudev.spec
SRPM URL:
http://miroslav.suchy.cz/fedora/python-gudev/python-gudev-147.1-3.el6.src.rpm

Comment 4 Petr Lautrbach 2010-03-08 16:08:39 UTC
Now it's ok

APPROVED

Comment 5 Miroslav Suchý 2010-03-08 16:10:29 UTC
New Package CVS Request
=======================
Package Name: python-gudev
Short Description: Python (PyGObject) bindings to the GUDev library
Owners: msuchy
Branches: devel
InitialCC:

Comment 6 Kevin Fenzi 2010-03-09 06:21:36 UTC
CVS done (by process-cvs-requests.py).

Reviewer: please remember to assign the review bug to yourself when you review.

Comment 7 Miroslav Suchý 2010-03-09 10:47:23 UTC
i forgot that F-13 has been already branched, I request additional branch to be created...

New Package CVS Request
=======================
Package Name: python-gudev
Short Description: Python (PyGObject) bindings to the GUDev library
Owners: msuchy
Branches: F-13
InitialCC:

Comment 8 Jason Tibbitts 2010-03-10 22:35:51 UTC
Please don't file a "new package" request for a package that already exists; it just makes me spend time figuring out why pkgdb fails to add the package.  File a change request instead.

I've added the F-13 branch.


Note You need to log in before you can comment on or make changes to this bug.